Plank.LogLevel – plank Reference Manual

# LogLevel

## Description:

public enum LogLevel

Controls what messages show in the console log.

Namespace: Plank
Package: plank

## Content:

### Enum values:

- VERBOSE - Extra debugging info. A *LOT* of messages.
- DEBUG - Debugging messages that help track what the application is doing.
- INFO - General information messages. Similar to debug but perhaps useful to non-debug users.
- NOTIFY - Messages that also show a libnotify message.
- WARN - Any messsage that is a warning.
- CRITICAL - Any message considered critical. These can be recovered from but might make the application function abnormally.
- ERROR - Any message considered an error. These generally break the application.